Was this page helpful?
Yes No
Have a comment? Please leave it here. Thanks for your feedback!
All Tableau Help > Tableau Desktop and Web Authoring Help > 
Applies to: Tableau Desktop, Tableau Online, Tableau Public, Tableau Server

Data Source Constraints for Level of Detail Expressions

For some data sources, only more recent versions support level of detail expressions. Some data sources do not support level of detail expressions at all.

In addition, some data sources have complexity limits. Tableau will not disable calculations for these databases, but query errors are a possibility if calculations become too complex.

Data Source Support
Actian Vectorwise Not supported.
Amazon EMR Supported for Hive 0.13 and later.
Amazon Redshift Supported.
Aster Database Supported for version 4.5 and later.
Cloudera Hadoop Supported for Hive 0.13 and later.
Cloudera Impala Supported for Impala 1.2.2 and later.
Cubes (multidimensional data sources) Not supported.
DataStax Enterprise Not supported.
EXASolution Supported.
Firebird Supported for version 2.0 and later.
Generic ODBC Limited. Depends on the specific data source.
Google Big Query Supported for standard SQL, not supported for legacy SQL.
Hortonworks Hadoop Hive

Supported for Hive 0.13 and later.

On version 1.1 of HIVE level of detail expressions that produce cross joins are not reliable.

Cross join occur when there is no explicit field to join on. For example, for a level of detail expression {fixed [Product Type] : sum(sales)} when the view only contains one dimension [Ship Mode], Tableau creates a cross-join. A cross join produces rows which combine each row from the first table with each row from the second table.

HP Vertica Supported for version 6.1 and later.
IBM BigInsights Supported.
IBM DB2 Supported for version 8.1 and later.
MarkLogic Supported for version 7.0 and later.
Microsoft Access Not supported.
Microsoft Jet-based connections (legacy connectors for Microsoft Excel, Microsoft Access, and text) Not supported.
Microsoft SQL Server SQL Server 2005 and later.
MySQL Supported.
IBM PDA (Netezza) Supported version 7.0 and later.
Oracle Supported version 9i and later.
Actian Matrix (ParAccel) Supported version 3.1 and later.
Pivotal Greenplum Supported for version 3.1 and later.
PostgreSQL Supported version 7 and later.
Progress OpenEdge Supported.
SAP HANA Supported.
SAP Sybase ASE Supported.
SAP Sybase IQ Supported version 15.1 and later.
Spark SQL Supported.
Splunk Not supported.
Tableau Data Extract Supported.
Teradata Supported.